Debian Bug report logs - #472943
mercurial: hg/editor interaction leaves a lot of temp files around

version graph

Package: mercurial; Maintainer for mercurial is Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>; Source for mercurial is src:mercurial.

Reported by: Johannes Berg <johannes@sipsolutions.net>

Date: Thu, 27 Mar 2008 13:09:01 UTC

Severity: wishlist

Found in version mercurial/0.9.5-3

Fixed in version mercurial/1.0-1

Done: Vincent Danjean <vdanjean@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Vincent Danjean <vdanjean@debian.org>:
Bug#472943; Package mercurial. Full text and rfc822 format available.

Acknowledgement sent to Johannes Berg <johannes@sipsolutions.net>:
New Bug report received and forwarded. Copy sent to Vincent Danjean <vdanjean@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Johannes Berg <johannes@sipsolutions.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: mercurial: hg/editor interaction leaves a lot of temp files around
Date: Thu, 27 Mar 2008 13:02:25 +0100
Package: mercurial
Version: 0.9.5-3
Severity: wishlist

Whenever you hg commit, mercurial will create a file like
/tmp/hg-editor-mX1MbE.txt and invoke $EDITOR on it. Because
the file already has contents, many editors will create a
backup file /tmp/hg-editor-mX1MbE.txt~ or similar. The
actual temp file hg wants to use (/tmp/hg-editor-mX1MbE.txt)
is later removed, but the backup files stay around.

An easy solution to this would be to use a temporary directory
and have the edited file inside it, e.g. use
/tmp/hg-editor-mX1MbE/commitmsg.txt and afterwards rm -rf the
temporary directory.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: powerpc (ppc)

Kernel: Linux 2.6.25-rc7-wl-02674-g44c8520-dirty (PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages mercurial depends on:
ii  libc6                         2.7-9      GNU C Library: Shared libraries
ii  python                        2.4.4-6    An interactive high-level object-o
ii  python-support                0.7.7      automated rebuilding support for P

Versions of packages mercurial recommends:
ii  rcs                           5.7-23     The GNU Revision Control System

-- no debconf information




Tags added: pending Request was from Gerardo Curiel <gcuriel@debian.org.ve> to control@bugs.debian.org. (Thu, 03 Apr 2008 08:27:08 GMT) Full text and rfc822 format available.

Reply sent to Vincent Danjean <vdanjean@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Johannes Berg <johannes@sipsolutions.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 472943-close@bugs.debian.org (full text, mbox):

From: Vincent Danjean <vdanjean@debian.org>
To: 472943-close@bugs.debian.org
Subject: Bug#472943: fixed in mercurial 1.0-1
Date: Tue, 15 Apr 2008 22:14:52 +0000
Source: mercurial
Source-Version: 1.0-1

We believe that the bug you reported is fixed in the latest version of
mercurial, which is due to be installed in the Debian FTP archive:

mercurial-common_1.0-1_all.deb
  to pool/main/m/mercurial/mercurial-common_1.0-1_all.deb
mercurial_1.0-1.diff.gz
  to pool/main/m/mercurial/mercurial_1.0-1.diff.gz
mercurial_1.0-1.dsc
  to pool/main/m/mercurial/mercurial_1.0-1.dsc
mercurial_1.0-1_i386.deb
  to pool/main/m/mercurial/mercurial_1.0-1_i386.deb
mercurial_1.0.orig.tar.gz
  to pool/main/m/mercurial/mercurial_1.0.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 472943@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Vincent Danjean <vdanjean@debian.org> (supplier of updated mercurial package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 07 Apr 2008 00:11:40 +0200
Source: mercurial
Binary: mercurial mercurial-common
Architecture: all i386 source 
Version: 1.0-1
Distribution: unstable
Urgency: low
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Changed-By: Vincent Danjean <vdanjean@debian.org>
Closes: 443428 447094 452385 454326 466006 466731 469326 472185 472583 472943
Description:
 mercurial-common - Scalable distributed version control system (Common files)
 mercurial  - Scalable distributed version control system
Changes:
 mercurial (1.0-1) unstable; urgency=low
 .
   * new upstream version
     Closes several Debian bugs:
      * "hg convert broken" (Closes: #472185)
      * "hgmerge: uses non-POSIX syntax `type' in /bin/sh script" (Closes:
        #447094)
      * "hgmerge: --help option gives a message that ends strangely" (Closes:
        #443428)
      * "mercurial: hg/editor interaction leaves a lot of temp files around"
        (Closes: #472943)
      * "mercurial: Mercurial merge with meld needs hint" (Closes: #466006)
      * "glog: tries to close closed fd" (Closes: #454326)
      * "mercurial: `hg diff` can break UTF-8 encoding" (Closes: #469326)
      * "Recording mtime after recording commit message leads to hidden (lost)
        changes" (Closes: #452385)
     General:
      * greatly improved merge tool configuration, see "hgrc.5.txt" for details
      * improved copy/rename handling in diffs, status, and merge
      * files in .hg inherit permissions from .hg/store
      * infer --repository when possible, so commands may be run from anywhere.
      * easy-installable
      * new "droplet" logo
 .
     Commands:
      * archive: disable ".hg_archival.txt" file addition with "ui.archivemeta"
      * bisect: now built-in with greatly improved performance and usability
      * bundle: new --all option to bundle the whole repository more easily.
      * cat: apply decode filters with --decode
      * clone: can clone from a full-history bundle
      * commit: warn when creating a new head
      * debugancestor: index argument is now optional
      * diff: set the number of context line to show with -U/--unified
      * grep: display matched revisions commit date with --date
      * import: new --no-commit and --user options
      * incoming/outgoing: add --limit option
      * log: use -b/--only-branch to show revisions of a single branch
      * remove: improve handling for --after
      * revert: major speedup
      * serve: prefix the served path with --prefix (also in [web] section)
      * status: unknown files are skipped by --quiet
      * tag: allow multiple tags to be added or removed
      * tags: --verbose flags local tags
      * update: switch between named branches without -C
 .
     Extensions:
      * churn: promoted to an official extension (previously in contrib)
      * color: new extension coloring "status" and "qseries" command outputs
      * convert:
        * allow synthetic history to be spliced in with --splicemap
        * support GNU Arch and Monotone sources
        * svn: allow shallow conversions of single branches with
          convert.svn.startrev option.
        * svn: make trunk/branches/tags layout detection more flexible by
          allowing either of them to be skipped.
        * svn: preliminary support as a conversion target
      * hgk: configuration file changed from .gitk to .hgk
      * highlight: new extension enabling syntax highlighting in hgweb file view
        (requires pygments)
      * inotify: new extension using Linux 2.6 inotify API for instant status
        checking
      * keyword: new extension for filewise RCS-keyword expansion in working
        directory
      * mq: new --currentdate, --date, --currentuser, and
        --user options
      * record: add "qrecord" command when used with mq
 .
     Web interface:
      * improved WSGI integration and compatibility
      * follow symlinks in hgwebdir collections
      * show branches in most of gitweb templates
      * add line anchors to annotate, changeset, diff and file views
      * support web.baseurl in hgwebdir, overriding SCRIPT_NAME
 .
     Hooks:
      * standard hook to reject text files with CRLF in win32text extension
      * redirect stdout to stderr for ssh and http servers
 .
   [ Gerardo Curiel ]
   * Split package to fix lintian warnings:
     + mercurial -  main package
     + mercurial-common - Arch-indep bits
   * Fix clean target
   * Dropped patches:
     patches/proposed_upstream__check_hgmerge_args.patch
     patches/proposed_upstream__type_is_not_posix.patch
   * patches/deb_specific__use_sensible-editor.patch:
     Rediff against mercurial 1.0
   * Added patch:
     patches/proposed_upstream__fix_man_warnings.patch
   * hgmerge shell script is not provided anymore
   * contrib/favicon.ico is not provided anymore
   * Deleted obsolete link_hgit target from debian/rules
   * Added mergetools.hgrc to the examples
     directory
   * Added logo-droplets.svg to /usr/share/mercurial
   * Added new extensions to the hgext.rc file
     + hgext.color (not enabled by default)
     + hgext.highlight (enabled)
     + hgext.inotify (enabled, Closes: #472583)
     + hgext.keyword (not enabled by default)
   * Removed extensions from the hgext.rc file
     + hgext.hbisect (now provided as a built-in command)
   * Added new dependency :
     + python-pygments (needed for hgext/highlight.py)
     + python-elementtree (was a suggested dependency, but we're shipping
     the 'convert' extension enabled by default)
 .
   [ Vincent Danjean ]
   * import mercurial in the Python Application Packaging Team project
   * debian/control:
     + add PAPT in the Uploaders field
     + add Vcs-* fields
     + add conflicts/replaces fields to ensure proper upgrade for
       mercurial-common
   * cleanup debian/ files
     + remove unneeded debian/*.{dirs} files
   * move examples/ in usr/share/doc/mercurial (in the mercurial-common
     package)
   * manage hgext.rc with ucf. Enabling some extensions only if their
     dependencies are present
   * put all usr/share/python-support/* in mercurial-common instead of
     mercurial. This trigger a lintian warning but this is an error (see
     #473428)
 .
   [ Piotr O┼╝arowski ]
   * New recommended packages:
     + python-mysqldb (hgext/bugzilla.py)
     + python-openssl (hgweb/server.py)
   * New suggested packages:
     + python-flup (contrib/hgwebdir.fcgi, Closes: #466731)
 .
   [ William Pitcock ]
   * patches/deb_specific__use_sensible-editor.patch:
     +Rediff against 1.0 branch.
Files: 
 72cdaa6dc995b887ab8c40ae45d6dd6b 471476 devel optional mercurial-common_1.0-1_all.deb
 8093f2a4f0d7d313ee6866308ef04bf8 1016 devel optional mercurial_1.0-1.dsc
 9f8dd7fa6f8886f77be9b923f008504c 803187 devel optional mercurial_1.0.orig.tar.gz
 cd93616cfff00aff2b7fea594b5868a9 85660 devel optional mercurial_1.0-1_i386.deb
 f199f1fe802512cd58fff9d25e64dfe3 22543 devel optional mercurial_1.0-1.diff.gz

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH+U3SC/d4Z50CXocRAhtRAJwNkVupmC5izWE0UMJp6PJ0eLXT5ACbBUP3
X2wW9VrZKsy1IB7lNTiNZl0=
=k133
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 May 2008 07:41:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 03:53:15 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.